For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList flows
      • POSTCreate flow
      • GETGet flow details
      • PUTUpdate flow
      • DELDelete flow
      • GETExport flow for runtime (limited preview)
      • POSTPublish flow
      • POSTRun flow on records of a type
      • GETList flow step results
Dashboard
LogoLogo
Runtype APIFlows

Export flow for runtime (limited preview)

GET
/v1/flows/:id/export-runtime
GET
/v1/flows/:id/export-runtime
$curl https://api.runtype.com/v1/flows/id/export-runtime \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "id": "flow_9a8b7c6d5e4f3g2h1i0j",
3 "name": "User Onboarding Flow",
4 "steps": [
5 {
6 "stepId": "step_001",
7 "type": "email_verification",
8 "config": {
9 "emailTemplateId": "tmpl_12345",
10 "retryLimit": 3,
11 "timeoutSeconds": 300
12 }
13 },
14 {
15 "stepId": "step_002",
16 "type": "send_welcome_message",
17 "config": {
18 "message": "Welcome to Runtype! We're excited to have you on board.",
19 "channel": "in_app"
20 }
21 },
22 {
23 "stepId": "step_003",
24 "type": "update_user_status",
25 "config": {
26 "status": "active",
27 "notifyAdmin": true
28 }
29 }
30 ],
31 "description": "Customer onboarding flow for new users, including email verification and welcome message."
32}
**Limited preview — not yet generally available.** This endpoint is dark-launched and returns `404 Not Found` in production until GA; it is only reachable in non-production environments today. Export a fully-resolved, self-contained flow definition that the @runtypelabs/runtime package can consume directly at boot. All step configs are inlined; no live DB queries are needed at execution time.
Was this page helpful?
Previous

Publish flow

Next
Built with

Limited preview — not yet generally available. This endpoint is dark-launched and returns 404 Not Found in production until GA; it is only reachable in non-production environments today.

Export a fully-resolved, self-contained flow definition that the @runtypelabs/runtime package can consume directly at boot. All step configs are inlined; no live DB queries are needed at execution time.

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Response

Exported flow definition
idstring
namestring
stepslist of maps from strings to any
descriptionstring or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error